Name:		upx
Version:	4.2.2
Release:	%mkrel 1
Summary:	The Ultimate Packer for eXecutables
License:	GPLv2+
Group:		Archiving/Compression
URL:		https://upx.github.io/
Source0:	https://github.com/upx/upx/releases/download/v%{version}/%{name}-%{version}-src.tar.xz

BuildRequires:	cmake
BuildRequires:	ucl-devel >= 1.03
BuildRequires:	pkgconfig(zlib)

%description
UPX is an advanced executable file compressor. UPX will typically
reduce the file size of programs and DLLs by around 50%-70%, thus
reducing disk space, network load times, download times and other
distribution and storage costs.

Programs and libraries compressed by UPX are completely self-contained
and run exactly as before, with no runtime or memory penalty for most
of the supported formats.


%prep
%setup -q -n %{name}-%{version}-src
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install

rm -rf %buildroot/%{_datadir}/doc

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*


%changelog
* Thu Jan 11 2024 tex - 4.2.2-1pclos2024
- new version

* Tue Dec 05 2023 tex - 4.2.1-1pclos2023
- new version: 4.2.1
